diff --git a/src/isomedia/media.c b/src/isomedia/media.c
index e4b1972366..1a97637f72 100644
--- a/src/isomedia/media.c
+++ b/src/isomedia/media.c
@@ -762,7 +762,7 @@ GF_Err Media_SetDrefURL(GF_DataEntryURLBox *dref_entry, const char *origName, co
 		if (!fname) {
 			dref_entry->location = gf_strdup(origName);
 		} else {
-			u32 len = fname - origName;
+			u32 len = (u32)(fname - origName);
 			if (!finalName || strncmp(origName, finalName, len)) {
 				GF_LOG(GF_LOG_ERROR, GF_LOG_CONTAINER, ("Concatenation of relative path %s with relative path %s not supported, use absolute URLs\n", origName, finalName));
 				return GF_NOT_SUPPORTED;
diff --git a/src/media_tools/dash_segmenter.c b/src/media_tools/dash_segmenter.c
index 25e3a42a7d..b1d71cb47c 100644
--- a/src/media_tools/dash_segmenter.c
+++ b/src/media_tools/dash_segmenter.c
@@ -705,7 +705,7 @@ GF_Err gf_media_get_rfc_6381_codec_name(GF_ISOFile *movie, u32 track, char *szCo
 			return GF_BAD_PARAM;
 		}
 
-		snprintf(szCodec, RFC6381_CODEC_NAME_SIZE_MAX, "%s.%02u.%02x.%02u.%02u.%02u.%02u.%02u.%02u", gf_4cc_to_str(subtype),
+		snprintf(szCodec, RFC6381_CODEC_NAME_SIZE_MAX, "%s.%02u.%02u.%02u.%02u.%02u.%02u.%02u.%02u", gf_4cc_to_str(subtype),
 			vpcc->profile,
 			vpcc->level,
 			vpcc->bit_depth,
